Subject: Ticket Assigned - Returns
From: Splash <[email-masked]>
To: [email-masked]
Date: Wed, 16 Feb 2022 15:03:52 +0000

Hi Abdulqader Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Hello! I hope you are doing very well! I just wanted to inquire about some return items, if you do not mind. I placed a request to return an order of mine Order number 9520556482, and the delivery associate came and picked up the items. It's been over a month since I've returned the items, but I still haven't received my refund yet. If you can please process the refund request at the earliest of your convenience, then that would be greatly appreciated! https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3791020